<template>
  <PageCard
    :title="$t('advMaterials.banners')"
    :headerClasses="['advMaterials-background']"
    color="#FFFFFF"
    class="pageCard-padding-slim">
    <div class="advMaterials_body">
      <div class="flex">
        <Btn
          v-for="(item, key) in socList"
          @click="selectSocial(item)"
          :active="activeSocial.name===item.name"
          :key="key"
          :icon="item.icon"></Btn>
      </div>
    </div>
    <div class="advMaterials_body">
      <BSelect
        v-model="width"
        @change="filterSize($event, 'width')">
        <BOptions
          v-for="(item, key) in widthSizes"
          :key="key"
          :label="item"
          :value="item"></BOptions>
      </BSelect>
      <BSelect
        v-model="height"
        @change="filterSize($event, 'height')">
        <BOptions
          v-for="(item, key) in heightSizes"
          :key="key"
          :label="item"
          :value="item"></BOptions>
      </BSelect>
    </div>
    <Banner
      :active="activeSocial"
      v-if="activeSocial.name"></Banner>
  </PageCard>
</template>

<script>
  import PageCard from '~/components/UI/PageCard';
  import Btn from '~/components/UI/icons/Btn';
  import Banner from './Banner';
  import BSelect from '~/components/UI/Select/BSelect';
  import BOptions from '~/components/UI/Select/BOptions';

  export default {
    name: "Banners",
    data() {
      return {
        activeSocial: {},
        width: 160,
        height: 160
      }
    },
    components: {
      PageCard,
      Banner,
      Btn,
      BSelect,
      BOptions
    },
    computed: {
      widthSizes() {
        return this.$store.state.promoMaterials.sizes.width;
      },
      heightSizes() {
        return this.$store.state.promoMaterials.sizes.height;
      },
      socList() {
        return this.$store.state.promoMaterials.socialList;
      }
    },
    methods: {
      filterSize(event, type) {
        console.log(event, type);
      },
      selectSocial(item) {
        this.ga(item.ga, true);
        this.activeSocial = item;
        this.$store.dispatch('promoMaterials/fetch');
      }
    },
    mounted() {
      this.selectSocial(this.socList[0]);
    }
  }
</script>
